VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
OldKeyboardHookAdapter Class Referenceabstract
Inheritance diagram for OldKeyboardHookAdapter:

## Public Member Functions
virtual int32_t | onKeyDown (const VstKeyCode &code, CFrame *frame)=0
virtual int32_t | onKeyUp (const VstKeyCode &code, CFrame *frame)=0
Public Member Functions inherited from IKeyboardHook
virtual | ~IKeyboardHook () noexcept=default

## Member Function Documentation

virtual int32_t onKeyDown | ( | const VstKeyCode & | code,
|  | CFrame * | frame
| ) |  |
| pure virtual

virtual int32_t onKeyUp | ( | const VstKeyCode & | code,
|  | CFrame * | frame
| ) |  |
| pure virtual

The documentation for this class was generated from the following files:

- cframe.h
- cframe.cpp